public static interface GraphqlEndpointBuilderFactory.GraphqlBuilders
| Modifier and Type | Method and Description |
|---|---|
default GraphqlEndpointBuilderFactory.GraphqlEndpointBuilder |
graphql(String path)
GraphQL (camel-graphql)
Send GraphQL queries and mutations to external systems.
|
default GraphqlEndpointBuilderFactory.GraphqlEndpointBuilder |
graphql(String componentName,
String path)
GraphQL (camel-graphql)
Send GraphQL queries and mutations to external systems.
|
default GraphqlEndpointBuilderFactory.GraphqlEndpointBuilder graphql(String path)
graphql:httpUri
Path parameter: httpUri (required)
The GraphQL server URI.path - httpUridefault GraphqlEndpointBuilderFactory.GraphqlEndpointBuilder graphql(String componentName, String path)
graphql:httpUri
Path parameter: httpUri (required)
The GraphQL server URI.componentName - to use a custom component name for the endpoint
instead of the default namepath - httpUriApache Camel